Browse Source

doc: add headers first backwards compat warning

pull/1/head
Wladimir J. van der Laan 8 years ago
parent
commit
c313d6ecb9
No known key found for this signature in database
GPG Key ID: 74810B012346C9A6
  1. 21
      doc/release-notes.md

21
doc/release-notes.md

@ -1,6 +1,27 @@ @@ -1,6 +1,27 @@
(note: this is a temporary file, to be added-to by anybody, and moved to
release-notes at release time)
Block file backwards-compatibility warning
===========================================
Because release 0.10.0 makes use of headers-first synchronization and parallel
block download, the block files and databases are not backwards-compatible
with older versions of Bitcoin Core:
* Blocks will be stored on disk out of order (in the order they are
received, really), which makes it incompatible with some tools or
other programs. Reindexing using earlier versions will also not work
anymore as a result of this.
* The block index database will now hold headers for which no block is
stored on disk, which earlier versions won't support.
If you want to be able to downgrade smoothly, make a backup of your entire data
directory. Without this your node will need start syncing (or importing from
bootstrap.dat) anew afterwards.
This does not affect wallet forward or backward compatibility.
Transaction fee changes
=======================

Loading…
Cancel
Save